Subject: Update on Student Concerns and Ongoing Discussions with the University
From: JCUSA President <[email-masked]>
Cc: JCUSA Cairns Campus <[email-masked]>, Liam Neuhaus <[email-masked]>, JCUSA Vice-President <[email-masked]>
Date: Tue, 28 Jul 2026 13:56:46 +0000

Good evening everyone,

I hope you are all doing well.

I wanted to reach out personally to the affiliated Clubs and Societies with a brief update regarding the ongoing concerns being raised by students about the removal of Study Vacation (SWOTVAC) from the 2027 Academic Calendar and the proposed Laboratory and Technical Services changes.

Over the past few weeks, JCUSA has continued working with students, affiliated clubs and societies, JCU UniLife advocates and University representatives to ensure student concerns are being heard and appropriately considered.

Earlier today, I met with DVCE Mitch Parsell, alongside student advocates from JCU UniLife to discuss the concerns students have raised regarding the removal of SWOTVAC. The discussion was constructive and focused on student feedback, consultation processes and opportunities for continued engagement moving forward.

Importantly, the University has now committed to holding dedicated student forums regarding the removal of SWOTVAC, providing students with a direct opportunity to share their views, experiences and concerns.

While details have already been circulated through University channels, I wanted to reiterate the importance of these forums and encourage clubs and societies to share this information with their members where appropriate. I am planning to be in attendance for the Townsville session, and I would encourage as many of your executive and ordinary members to participate as possible.

As many of you would appreciate, no final decision has been reached at this stage. However, I believe today's discussions represent a positive step forward and demonstrate that student concerns are being acknowledged and taken seriously by the University.

I would also like to thank the many clubs and societies who have already engaged with JCUSA on these matters. The correspondence, feedback and discipline-specific concerns provided by students and student groups have been invaluable in helping us accurately represent the issues being raised across the University community.

While this update relates specifically to SWOTVAC, JCUSA remains actively engaged on a range of student concerns, including the proposed Laboratory and Technical Services changes. We will continue working with students and the University to ensure those concerns are appropriately represented and considered.

For anyone who has not yet seen it, JCUSA's statements, correspondence and ongoing updates can be found on our Council Statements page:

JCUSA Council Statements<https://www.jcusa.edu.au/about-us/council-statements/>

If your members continue to raise concerns, ideas or feedback, please feel free to pass them on. Likewise, if you believe there are impacts specific to your discipline, club or society that JCUSA should be aware of, I would be more than happy to hear from you.

Thank you again for your continued support, engagement and willingness to advocate for your members. One of the most positive outcomes from the past few weeks has been seeing students actively participate in discussions about the future of their education and university experience, and I greatly appreciate the role that clubs and societies have played in making that possible.

Kind regards,

Harrison O'Kane (He/Him) | JCU SA President

Building 133, Student Services Mall | Bebegu Yumba Campus, Townsville

Opening Hours | Mon – Fri 8.30am – 3.30pm

M: 0494 020 022  | E: [email-masked] | W: www.jcusa.edu.au<http://www.jcusa.edu.au/>

JCUSA acknowledges the Traditional Owners the Bindal and Wulgurukaba people of the land on which we work.

We pay our respects to the Elders past, present and emerging.

[JCUSA Email Signature - Office_Arial_SSAF]